POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"delay_between_scans": 1,
"id": "3076b4e9-8f37-4a4c-9206-0fde3068c095",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "0baedd2e-f977-4220-a3a0-e94539b1e63b"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <delay_between_scans>1</delay_between_scans> <id>3076b4e9-8f37-4a4c-9206-0fde3068c095</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>0baedd2e-f977-4220-a3a0-e94539b1e63b</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"557bf054-6a82-4235-9ef5-d8a29ba3d6f3"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">557bf054-6a82-4235-9ef5-d8a29ba3d6f3</guid>